using MoonWorks.Graphics;

namespace MoonWorksMultiWindow.Graphics
{
    public class Framebuffers
    {
        public Framebuffer ExampleFramebuffer { get; }
		public Framebuffer ExtraWindowFramebuffer { get; }

        public Framebuffers(
            GraphicsDevice graphicsDevice,
            RenderPasses renderPasses,
            RenderTargets renderTargets,
            uint renderDimensionsX,
            uint renderDimensionsY
        ) {
            ExampleFramebuffer = new Framebuffer(
                graphicsDevice,
                renderDimensionsX,
                renderDimensionsY,
                renderPasses.ExampleRenderPass,
                null,
                renderTargets.ExampleRenderTarget
            );

			ExtraWindowFramebuffer = new Framebuffer(
				graphicsDevice,
				renderDimensionsX,
				renderDimensionsY,
				renderPasses.ExtraWindowRenderPass,
				null,
				renderTargets.ExtraWindowRenderTarget
			);
        }
    }
}